# Method: termsOfService.accept

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/termsOfService/accept#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/termsOfService/accept#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/termsOfService/accept#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/termsOfService/accept#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/termsOfService/accept#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/termsOfService/accept#body.AcceptTermsOfServiceResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/termsOfService/accept#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/termsOfService/accept#try-it)

Accepts a `TermsOfService`. Executing this method requires admin access.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1alpha/{name=termsOfService/*}:accept`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the terms of service version. Format: `termsOfService/{version}` |

### Query parameters

| Parameters ||
|---|---|
| `account` | `string` Required. The account for which to accept the ToS. Format: `accounts/{account}` |
| `regionCode` | `string` Required. Region code as defined by [CLDR](https://cldr.unicode.org/). This is either a country when the ToS applies specifically to that country or 001 when it applies globally. |

### Request body

The request body must be empty.

### Response body

Response message for the `termsOfService.accept` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "termsOfServiceAgreementState": { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.termsOfServiceAgreementStates#TermsOfServiceAgreementState`) } } ``` |

| Fields ||
|---|---|
| `termsOfServiceAgreementState` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.termsOfServiceAgreementStates#TermsOfServiceAgreementState`)`` The agreement state after accepting the ToS. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).